Subject: The Smithsonian bought a piece of mine

From: Abrasha <[email-masked]>
Date: Wed, 01 May 1996 20:59:27 -0700

Today is a very special day for me.  I have reached a mile stone in my career that only
a few years ago, I didn't even dream about.  I feel as if I just received an Acadamy
Award!

The Renwick Gallery of the National Museum of American Art at the Smithsonian
Institution in Washington DC, has purchased a major piece of my work for their permanent
collection.

The piece they purchased, is a menorah that I was invited to make for the exhibition,
"Light Interpretations: A Hanukah Menorah Invitational" at The Jewish Museum San
Francisco in San Francisco, CA in 1995.

Take a look at http://www.abrasha.com